%define upstream_name	MRO-Compat
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Summary:    mro::* interface compatibility for Perls < 5.9.5
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://search.cpan.org/CPAN/authors/id/B/BL/BLBLACK/%{upstream_name}-%{upstream_version}.tar.gz
License:    GPL
Group:      Development/Perl

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch
Provides: perl(MRO::Compat)

%description
The "mro" namespace provides several utilities for dealing with method
resolution order and method caching in general in Perl 5.9.5 and higher.

This upstream_name provides those interfaces for earlier versions of Perl (back to
5.6.0 anyways).

It is a harmless no-op to use this upstream_name on 5.9.5+. If you're writing a piece
of software that would like to use the parts of 5.9.5+'s mro:: interfaces that
are supported here, and you want compatibility with older Perls, this is the
upstream_name for you.

Some parts of this interface will work better with Class::C3::XS installed, but
it's not a requirement.

This upstream_name never exports any functions. All calls must be fully qualified with
the mro:: prefix.

The interface documentation here serves only as a quick reference of what the
function basically does, and what differences between MRO::Compat and 5.9.5+
one should look out for. The main docs in 5.9.5's mro are the real interface
docs, and contain a lot of other

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc ChangeLog META.yml MYMETA.yml README
%{perl_vendorlib}/MRO
%{_mandir}/*/*

%changelog
* Thu Jul 13 2017 bb2 <bb2> - 0.120.0-8pclos2017
- rebuild against updates

